Bug 145560 - cman_tool version -r shouldn't allow non ints to be used since ccs doesn't
Summary: cman_tool version -r shouldn't allow non ints to be used since ccs doesn't
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: cman   
(Show other bugs)
Version: 4
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Christine Caulfield
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-19 18:58 UTC by Corey Marthaler
Modified: 2009-04-16 19:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-28 23:28:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Corey Marthaler 2005-01-19 18:58:03 UTC
Description of problem:
[root@morph-04 root]# cat /proc/cluster/status
Protocol version: 4.0.1
Config version: 11
Cluster name: morph-cluster
Cluster ID: 41652
Membership state: Cluster-Member
Nodes: 5
Expected_votes: 5
Total_votes: 5
Quorum: 3
Active subsystems: 0
Node addresses: 192.168.44.64

[root@morph-04 root]# cman_tool version -r 12.6

[root@morph-04 root]# cat /proc/cluster/status
Protocol version: 4.0.1
Config version: 12
Cluster name: morph-cluster
Cluster ID: 41652
Membership state: Cluster-Member
Nodes: 5
Expected_votes: 5
Total_votes: 5
Quorum: 3
Active subsystems: 0
Node addresses: 192.168.44.64

[root@morph-04 root]# cman_tool version -r "-3"

[root@morph-04 root]# cat /proc/cluster/status
Protocol version: 4.0.1
Config version: -3
Cluster name: morph-cluster
Cluster ID: 41652
Membership state: Cluster-Member
Nodes: 5
Expected_votes: 5
Total_votes: 5
Quorum: 3
Active subsystems: 0
Node addresses: 192.168.44.64


How reproducible:
Always


CMAN <CVS> (built Jan 18 2005 12:59:17)

Comment 1 Christine Caulfield 2005-01-26 10:01:12 UTC
Improved validation

Checking in main.c;
/cvs/cluster/cluster/cman/cman_tool/main.c,v  <--  main.c
new revision: 1.15; previous revision: 1.14
done
Checking in main.c;
/cvs/cluster/cluster/cman/cman_tool/main.c,v  <--  main.c
new revision: 1.12.2.2; previous revision: 1.12.2.1
done


Comment 2 Corey Marthaler 2005-01-28 23:28:04 UTC
fix verified.


Note You need to log in before you can comment on or make changes to this bug.